# DAFormFunction

Evaluates a user provided function on each processor that share a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAFormFunction(DA da,PetscErrorCode (*lf)(void),Vec vu,Vec vfu,void *w)

### Input Parameters

| da | - the DA that defines the grid
| vu | - input vector
| vfu | - output vector
| w | - any user data

Notes: Does NOT do ghost updates on vu upon entry

This should eventually replace DAFormFunction1

### See Also

DAComputeJacobian1WithAdic()

Level:advanced
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages